Subject: Service Stations, circa 1920
From: "Jack Berndt" <[email-masked]>
To: "Cuca" <[email-masked]>
Date: Tue, 17 Apr 2012 18:37:42 -0500

Back a ways; before cars had to be 'plugged into' computers to diagnose just what was wrong with them, there existed the forgotten 'service station.'
                                They weren't run by 'technicians,' but merely by some guy that could 'fix stuff,' no matter what it was that was wrong.
                                Take a peek, and see just how far we've come: 

                                The place is a Texaco Gasoline Filling Station 
                                (primarily they filled gas tanks).

                                But what is that contraption with the ramps? 
                                The mechanism appears to be driven by the cars wheels.

                                Hydraulic lines go to that can with a raised top. 
                                What could it be? A pump for lubing a car's under parts?

                                The little sign does say "Havoline" which was Texaco's brand name for its oil products.

                                An early engine dynamometer? Maybe it's a primitive car wash. 

                                I guess there was no signage limitations back then.
                                I count eleven Texaco signs on that station.

                                Land wasn't at a premium then like it is now.
                                Note the wide open layout and the nice row of little trees.
                                This was a Texaco Gasoline Motor Oil Service Station.
                                The concept had become a "service station", which included more than just filling your tank.
                                They even filled it FOR you, no "self-service" needed.

                                Looks like an early "mall". At one location, you could fill up your tank, 
                                get a loan so as to look prosperous with a new suit, and have a meal 
                                while your spark plugs were changed. Even back then, they knew we would need a loan for gas.

                                Ford Sales and Service. Look at all those Model T's.

                                Simplicity itself. No name gas and motor oil for 20 cents a quart, Wow.

                                Dome Gas. You better try it 'cause "It's Better".
                                It better be good since they want 23 cents a gallon for it!

                                Lemans' Tire Shop. Barney Oldfield tires only $9.99 each. 
                                Sounds kind of expensive to me. 

                                Note the water can by the side of the road and the barricades around the trees.

                                I guess people just drove up on the sidewalk to get their tires and the trees were in the way.

                                Here we have Super Motor Fuel.
                                I hear Dome Gas is better but this stuff is SUPER.

                                Note the name of the station "Toot-An-Kum-In".
                                This is a really modern looking station with the full roof and multiple islands of pumps.
                                AMOCO Gas (still around today) but what does "filtered" mean.

                                Four Wheel Drive Autos sales and service. 
                                The SUV's of the 20's.
                                4WD gas is only 20 cents a gallon!